InputDeviceManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.input
Class InputDeviceManager

    java.lang.Object
      net.ctdp.rfdynhud.input.InputDeviceManager

    public class InputDeviceManager

extends java.lang.Object

This manager keeps information about plugged in Joysticks (Wheels) and their buttons.

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`InputDeviceManager()`

Method Summary
`void` | `decodeData(byte[] buffer)`
`java.lang.String` | `getEnglishKeyName(int i)`
`int` | `getJoystickButtonIndex(int joystickIndex, java.lang.String name)`
`int` | `getJoystickButtonIndexOffset(int joystickIndex)`
`java.lang.String` | `getJoystickButtonName(int joystickIndex, int i)`
`java.lang.String` | `getJoystickButtonNameForIni(int i)`
`int` | `getJoystickIndex(java.lang.String name)`
`java.lang.String` | `getJoystickName(int i)`
`java.lang.String` | `getJoystickNameForIni(int i)`
`int` | `getKeyIndex(java.lang.String name)`
`int` | `getKeyIndexByEnglishName(java.lang.String name)`
`java.lang.String` | `getKeyName(int i)`
`int` | `getNumComponents()`
`int` | `getNumJoystickButtons(int joystickIndex)`
`int` | `getNumJoysticks()`
`int` | `getNumKeys()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputDeviceManager

    public InputDeviceManager()

Method Detail

### getNumKeys

    public final int getNumKeys()

### getKeyName

    public final java.lang.String getKeyName(int i)

### getKeyIndex

    public final int getKeyIndex(java.lang.String name)

### getEnglishKeyName

    public final java.lang.String getEnglishKeyName(int i)

### getKeyIndexByEnglishName

    public final int getKeyIndexByEnglishName(java.lang.String name)

### getNumJoysticks

    public final int getNumJoysticks()

### getJoystickNameForIni

    public final java.lang.String getJoystickNameForIni(int i)

### getJoystickButtonNameForIni

    public final java.lang.String getJoystickButtonNameForIni(int i)

### getJoystickName

    public final java.lang.String getJoystickName(int i)

### getJoystickIndex

    public final int getJoystickIndex(java.lang.String name)

### getNumJoystickButtons

    public final int getNumJoystickButtons(int joystickIndex)

### getJoystickButtonName

    public final java.lang.String getJoystickButtonName(int joystickIndex,
                                                        int i)

### getJoystickButtonIndex

    public final int getJoystickButtonIndex(int joystickIndex,
                                            java.lang.String name)

### getNumComponents

    public final int getNumComponents()

### getJoystickButtonIndexOffset

    public final int getJoystickButtonIndexOffset(int joystickIndex)

### decodeData

    public void decodeData(byte[] buffer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD